Bug 24178 - gcc creates invalid as input
gcc creates invalid as input
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
http://www2.ucsc.edu/~jrl/makefile.unix
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-16 21:33 EST by jrlflah
Modified: 2007-03-26 23:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-17 07:52:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jrlflah 2001-01-16 21:33:51 EST
url contains makefile.unix
url for source: http://x.mame.net/download/xmame-0.37b7.1.tgz

This tar ball compiled under redhat 6.2 and a previous version
of gcc under rh7.0 (forgot which).

rpm -q gcc
gcc-2.96-69
rpm -qf /usr/bin/as
binutils-2.10.0.18-1


gmake -f makefile.unix
Compiling in the unix directory...
gmake[1]: Entering directory `/home/jrl/xmame-0.37b7.1/src/unix'
gmake[1]: Nothing to be done for `all'.
gmake[1]: Leaving directory `/home/jrl/xmame-0.37b7.1/src/unix'
Compiling src/cpu/m6502/m6502.c ...

/tmp/ccgmg363.s: Assembler messages:
/tmp/ccgmg363.s:620: Error: `%cl' not allowed with `cmpw'
/tmp/ccgmg363.s:1255: Error: `%cl' not allowed with `cmpw'
/tmp/ccgmg363.s:1525: Error: `%cl' not allowed with `cmpw'
/tmp/ccgmg363.s:1797: Error: `%cl' not allowed with `cmpw'
/tmp/ccgmg363.s:2062: Error: `%cl' not allowed with `cmpw'
/tmp/ccgmg363.s:2402: Error: `%cl' not allowed with `cmpw'
/tmp/ccgmg363.s:2898: Error: `%cl' not allowed with `cmpw'
/tmp/ccgmg363.s:3238: Error: `%cl' not allowed with `cmpw'
/tmp/ccgmg363.s:4492: Error: `%cl' not allowed with `cmpw'
/tmp/ccgmg363.s:5259: Error: `%cl' not allowed with `cmpw'
/tmp/ccgmg363.s:5970: Error: `%cl' not allowed with `cmpw'
/tmp/ccgmg363.s:6498: Error: `%cl' not allowed with `cmpw'
/tmp/ccgmg363.s:6768: Error: `%cl' not allowed with `cmpw'
/tmp/ccgmg363.s:7367: Error: `%cl' not allowed with `cmpw'
/tmp/ccgmg363.s:8553: Error: `%cl' not allowed with `cmpw'
/tmp/ccgmg363.s:9109: Error: `%cl' not allowed with `cmpw'
gmake: *** [mame.obj/cpu/m6502/m6502.o] Error 1
Comment 1 Jakub Jelinek 2001-01-17 07:52:04 EST
Fixed in CVS gcc and the one-liner will appear in 2.96-71 as well.
It was a typo in patch made in September, that's why it did not show up
with some older gcc-2.96 rpms.

Note You need to log in before you can comment on or make changes to this bug.